summaryrefslogtreecommitdiff
path: root/tests/spencer2
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2010-09-03 22:36:59 +0200
committerJim Meyering <meyering@redhat.com>2010-09-03 22:38:08 +0200
commita65a94f613bc67c0d5c0a103e705481d3c2d11a3 (patch)
tree20e31e21da4674ace984d0dff9dfb67e56bbf6ea /tests/spencer2
parent783b3f8022e68f6da30b9d22ccf00e8620a6a824 (diff)
downloadgrep-a65a94f613bc67c0d5c0a103e705481d3c2d11a3.tar.gz
tests: remove .sh suffix from remaining test scripts.
* tests/backref: Rename from backref.sh. * tests/bre: Rename from bre.sh. * tests/ere: Rename from ere.sh. * tests/file: Rename from file.sh. * tests/khadafy: Rename from khadafy.sh. * tests/options: Rename from options.sh. * tests/pcre: Rename from pcre.sh. * tests/spencer1: Rename from spencer1.sh. * tests/spencer2: Rename from spencer2.sh. * tests/status: Rename from status.sh. * tests/yesno: Rename from yesno.sh. * tests/Makefile.am: Reflect renamings.
Diffstat (limited to 'tests/spencer2')
-rw-r--r--tests/spencer222
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/spencer2 b/tests/spencer2
new file mode 100644
index 00000000..bdd0102c
--- /dev/null
+++ b/tests/spencer2
@@ -0,0 +1,22 @@
+#! /bin/sh
+# Regression test for GNU grep.
+#
+# Copyright (C) 1988 Henry Spencer.
+# Copyright (C) 2009-2010 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+# . . . and the following by Henry Spencer.
+
+${AWK-awk} -f $abs_top_srcdir/tests/spencer1.awk \
+ $abs_top_srcdir/tests/spencer2.tests > spencer2.script || fail=1
+
+. ./spencer2.script || fail=1
+
+Exit 1